Get Search Status
Use the Bright Data Marketplace Archive API to get Search Status. GET /webarchive/search/ returns 200 OK with archive search status JSON.
When successful it will retrieve:Documentation Index
Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt
Use this file to discover all available pages before exploring further.
- The number of entries for your query
- The estimated size and cost of the full Data Snapshot
estimate_batch_size is measured in bytes. dump_cost_usd is an estimated total cost based on files_count and your current cache/archive pricing tier. The cost_breakdown object shows separate costs for cache vs archive pages.Authorizations
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07dfLearn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
Path Parameters
Unique identifier for the search
"ucd_abc123xyz"
Response
Search status response
- Success
- Pending
- Failed
Unique identifier for the search
Current status: in_progress, done, or failed
done The filters used for this search (echoed back)
Total number of matching files found
Estimated number of batches for the dump
Estimated total size in bytes
Estimated total cost to create a dump
Breakdown of costs between cache and archive pages
Estimated time to complete the dump in seconds
How long the search took to complete
Error message (only present when status is failed)